/*
 * The Program materials contained in this file are IBM copyright materials.
 * COPYRIGHT International Business Machines Corp. 2015
 * All Rights Reserved * Licensed Materials - Property of IBM
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


var fileChangedDuringEditingDialog = (function() {
	
	var callbackFunction = null;
	
	var invokeCallbackFunction = function() {
		if(callbackFunction != null) {
			callbackFunction();
		}
	};
	
	return {

		setCallbackFunction: function(newFunction) {
			callbackFunction = newFunction;
		},
		
		invokeCallbackFunction: invokeCallbackFunction
	
	};

})();


$(document).ready(function() {
	
	$("#dialogFileChangedDuringEditing").on("show.bs.modal", function(event) {

		// Update file name
		var fileName = $("#navigationBarTitle").text();
		$("#dialogFileChangedDuringEditingText").text(stringUtils.formatString(editorMessages.FILE_CHANGED_DURING_EDITING_DIALOG_MESSAGE, [fileName]));
		
		// Update button states
		var otherButtons = $("#dialogFileChangedDuringEditing .dialog-close-link, #dialogFileChangedDuringEditingCancelButton");
		otherButtons.removeAttr("disabled");

		// Update button label
		$("#dialogFileChangedDuringEditingOverwriteButton").text(editorMessages.OVERWRITE).removeClass("loading");
		
		// Center dialog
		core.centerDialog(this);
	});
	
	
	$("#dialogFileChangedDuringEditingOverwriteButton").on("vclick", function(event) {
		event.preventDefault();
		
		// Block UI
		core.setUIBlocked(true);

		var button = $(this);
		
		// Update button label
		button.html("<img src=\"img/config-tool-dialog-progress-bgred-D.gif\">" + editorMessages.OVERWRITING).addClass("loading");
		
		// Disable close without saving and cancel buttons
		var otherButtons = $("#dialogFileChangedDuringEditing .dialog-close-link, #dialogFileChangedDuringEditingCancelButton");
		otherButtons.attr("disabled", "disabled");

		editor.save().done(function() {
			fileChangedDuringEditingDialog.invokeCallbackFunction();
		}).fail(function() {
			
			// Show error message
			$("#dialogErrorSavingFile").modal("show");
			
		}).always(function() {
			$("#dialogFileChangedDuringEditing").modal("hide");
			
			// Unblock UI
			core.setUIBlocked(false);
		});
	});
	
	
	$("#dialogFileChangedDuringEditingCancelButton").on("vclick", function(event) {
		event.preventDefault();
		$("#dialogFileChangedDuringEditing").modal("hide");
	});

});
