/*
 * The Program materials contained in this file are IBM copyright materials.
 * COPYRIGHT International Business Machines Corp. 2015
 * All Rights Reserved * Licensed Materials - Property of IBM
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

$(document).ready(function() {
	
	var skipRemoveButtonFocusRestore = false;
	
	$("#dialogRemoveElement").on("show.bs.modal", function(event) {		
		// Center dialog
		core.centerDialog(this);
		
		skipRemoveButtonFocusRestore = false;
	});
	
	
	$("#dialogRemoveElement").on("keydown", function(event) {
		if(event.keyCode == 13) {
			event.preventDefault();
			$("#dialogRemoveElementOKButton").trigger("click");
		}
	});


	$("#dialogRemoveElementOKButton").on("vclick", function(event) {
		// Obtain selected element
		var selectedElement = editor.getSelectedElement();
		
		// Obtain selected element parent
		var parentNode = selectedElement.parentNode;
		
		// Remove preceding text
		var sibling = selectedElement.previousSibling;
		while(sibling != null && sibling.nodeType == 3) {
			sibling = sibling.previousSibling;
			parentNode.removeChild(selectedElement.previousSibling);
		}
		
		// Remove selected element
		parentNode.removeChild(selectedElement);
		
		skipRemoveButtonFocusRestore = true;
		
		// Close dialog
		event.preventDefault();
		$("#dialogRemoveElement").modal("hide");
		
		// Update UI
		editorTree.removeTreeNode(selectedElement);
		
		// Mark document as dirty
		editor.markDocumentAsDirty();
	});
	
	
	$("#dialogRemoveElement").on("hidden.bs.modal", function() {
		if(!skipRemoveButtonFocusRestore) {
			var removeButton = $("#removeButton");
			
			if("WebkitAppearance" in document.documentElement.style) {
				removeButton.css("outline", "none");
			}
			
			removeButton.focus();
		}
	});
	
	$("#editorForm").on("keydown", "#removeButton", function(event) {
		if(event.keyCode == 9) {
			if("WebkitAppearance" in document.documentElement.style) {
				$(event.currentTarget).css("outline", "");
			}
		}
	});
	
});
