/*
 * The Program materials contained in this file are IBM copyright materials.
 * COPYRIGHT International Business Machines Corp. 2015
 * All Rights Reserved * Licensed Materials - Property of IBM
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

var stringUtils = (function() {
	
	var capitalizeString = function(value) {
		return value.charAt(0).toUpperCase() + value.slice(1).toLowerCase();
	};
	
	
	var formatString = function(value, arguments) {
		for (var i = 0; i < arguments.length; i++) {
	        var regexp = new RegExp('\\{'+i+'\\}', 'gi');
	        value = value.replace(regexp, arguments[i]);
	    }
		return value;
	};
	
	
	var getLineCount = function (value) {
		return value.split(/\r\n|\r|\n/).length;
	};
	
	
	var getQueryStringParameter = function(name) {
		var queryString = window.location.search.substring(1);
		var parameters = queryString.split("&");
		for (var i = 0; i < parameters.length; i++) {
			var parameterName = parameters[i].split("=");
			if (parameterName[0] == name) {
				return parameterName[1];
			}
		}
		return null;
	};
	
	
	return {
		capitalizeString: capitalizeString,
		formatString: formatString,
		getLineCount: getLineCount,
		getQueryStringParameter: getQueryStringParameter
	};
	
})();
